Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 144054 - page allocation failure nfsd & xfs
page allocation failure nfsd & xfs
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-04 00:57 EST by Jeff Moe (jebba)
Modified: 2015-01-04 17:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:40:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
page allocation failures (4.13 KB, text/plain)
2005-01-04 00:59 EST, Jeff Moe (jebba)
no flags Details

  None (edit)
Description Jeff Moe (jebba) 2005-01-04 00:57:55 EST
Description of problem:
There are "page allocation failure"s and the box is generally unstable.
Server info:
Intel P4 2.8GHz, 2 gigs RAM
3Ware 9000 RAID card (12x200 gigs in RAID 50, for 1.7TB)
NFS server only
XFS filesystem for RAID partition
Fedora Core 2
Gigabit ethernet (e1000)

Version-Release number of selected component (if applicable):
Kernel 2.6.9-1.6_FC2.

How reproducible:
I have crashed the box by doing a ~3 gig mysqldump via NFS while
simultaneously downloading via ftp a 4 gig ISO. This is via gigabit
ethernet.

The debian boxes that NFS mount it also generate lots of:
nfs: server 10.1.1.1 not responding, still trying
nfs: server 10.1.1.1 OK

Steps to Reproduce:
1. Throw loads of data at the box, particularily via NFS to the XFS
RAID partition.
2. Just wait awhile...
  
Actual results:
Box OOPs, has "page allocation failures", just croaks outright,
becomes sluggish, etc.


Expected results:
Be really fast & stable.


Additional info:
See attachment
Comment 1 Jeff Moe (jebba) 2005-01-04 00:59:22 EST
Created attachment 109314 [details]
page allocation failures

/var/log/messages ...
Comment 2 Dave Jones 2005-01-04 01:08:50 EST
XFS is trying to do a really huge allocation. Little surprise that it
falls over under load I guess.

XFS isn't a 'supported' filesystem of Fedora, so your best bet is to
tell the SGI folks who maintain it about this problem, and whatever
they fix we'll pick up the next time we rebase.

From the maintainers file...

M:      xfs-masters@oss.sgi.com
M:      nathans@sgi.com
L:      linux-xfs@oss.sgi.com
Comment 3 Jeff Moe (jebba) 2005-01-30 13:51:58 EST
Bugzilla'd w/ SGI
http://oss.sgi.com/bugzilla/show_bug.cgi?id=345
Comment 4 Jeff Moe (jebba) 2005-01-30 14:07:56 EST
See also:
http://oss.sgi.com/bugzilla/show_bug.cgi?id=344

"The problem is 4K stack which is default in fedora and 8K in vanilla
kernel. I don't have time to make too much tests, so I just use
vanilla kernels on machines with XFS."
Comment 5 Dave Jones 2005-04-16 00:40:37 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.